%{!?tcp_wrappers:%define tcp_wrappers 1}

# Arches on which we need to prevent arch conflicts on net-snmp-config.h
%define multilib_arches %{ix86} ia64 ppc ppc64 s390 s390x x86_64
%define major_ver 5.3.1

Summary: A collection of SNMP protocol tools and libraries.
Name: net-snmp
Version: %{major_ver}
Release: 19%{?dist}.4
Epoch: 1

License: BSDish
Group: System Environment/Daemons
URL: http://net-snmp.sourceforge.net/
Source0: ftp://net-snmp.sourceforge.net/net-snmp-%{major_ver}.tar.gz
Source1: net-snmp.redhat.conf
Source2: net-snmpd.init
Source3: net-snmptrapd.init
Source4: net-snmpd.logrotate
Source5: ucd5820stat
Source6: net-snmp-config.h
Source7: net-snmp-config
Patch1: ucd-snmp-4.2.4.pre3-mnttab.patch
Patch2: net-snmp-5.0.6-syslog.patch
Patch4: net-snmp-5.0.6-libtool.patch
Patch5: net-snmp-5.0.8-ipv6-sock-close.patch
Patch6: net-snmp-5.0.8-readonly.patch
Patch7: net-snmp-5.1-async-getnext.patch
Patch8: net-snmp-5.1.1-pie.patch
Patch9: net-snmp-5.3.1-64bit.patch
#kills virtual interfaces
#Patch10: net-snmp-5.1.1-ipAdEntIfIndex.patch
Patch12: net-snmp-5.1.2-dir-fix.patch
Patch19: net-snmp-5.2.1-file_offset.patch
Patch21: net-snmp-5.3.0.1-maxsensors.patch
Patch23: net-snmp-5.3-proc_if_inet6.patch
Patch24: net-snmp-5.3-size_t.patch
Patch27: net-snmp-5.3.1-multilib.patch
Patch28: net-snmp-5.3.1-retrans_time.patch
Patch29: net-snmp-5.3.1-config_libdir.patch
Patch30: net-snmp-5.3.1-lm_sensors.patch
Patch31: net-snmp-5.3.1-tcp-udp-mib-byteorder.patch
Patch32: net-snmp-5.3.1-local-addr-v2.patch
Patch33: net-snmp-5.3.1-reachable_ms.patch
Patch34: net-snmp-5.3.1-ethtool-config.patch
Patch35: net-snmp-5.3.0.1-order.patch
Patch36: net-snmp-5.3.1-free.patch
Patch37: net-snmp-5.3.1-size_t.patch
Patch38: net-snmp-5.3.1-v1-traps.patch
Patch39: net-snmp-5.3.1-shared-ip.patch
Patch40: net-snmp-5.3.1-fix-snprintf-arg.patch
Patch41: net-snmp-5.3.1-snmpassert.patch
Patch42: net-snmp-5.3.1-perl_bulkwalk.patch
Patch43: net-snmp-5.3.1-ipv6-updates.patch
Patch44: net-snmp-5.3.1-mib-option.patch
Patch45: net-snmp-5.3.1-ip-size.patch
Patch46: net-snmp-5.3.1-maxreps.patch
Patch47: net-snmp-5.1.2-tcp-scalars.patch
Patch48: net-snmp-5.3.1-icmpstats.patch
Patch49: net-snmp-5.3.1-smux-select.patch

Prereq: /sbin/chkconfig
Obsoletes: ucd-snmp
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: openssl-devel, bzip2-devel, beecrypt-devel, elfutils-devel
BuildPrereq: libselinux-devel, elfutils-libelf-devel
%ifarch %{ix86} x86_64
BuildPrereq: lm_sensors-devel
%endif
%if %{tcp_wrappers}
BuildPrereq: tcp_wrappers
%endif
BuildPrereq: perl, coreutils, grep, sed, findutils, rpm-devel

#%define __libtoolize /bin/true
%{expand: %%define _includedir	%{_includedir}/%{name}}

%description
SNMP (Simple Network Management Protocol) is a protocol used for
network management. The NET-SNMP project includes various SNMP tools:
an extensible agent, an SNMP library, tools for requesting or setting
information from SNMP agents, tools for generating and handling SNMP
traps, a version of the netstat command which uses SNMP, and a Tk/Perl
mib browser. This package contains the snmpd and snmptrapd daemons,
documentation, etc.

You will probably also want to install the net-snmp-utils package,
which contains NET-SNMP utilities.

Building option:
	--without tcp_wrappers : disable tcp_wrappers support

%package utils
Group: Applications/System
Summary: Network management utilities using SNMP, from the NET-SNMP project.
Requires: %{name} = %{epoch}:%{version}
Obsoletes: ucd-snmp-utils

%description utils
The net-snmp-utils package contains various utilities for use with the
NET-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol. You will also need to install the net-snmp
package.

%package devel
Group: Development/Libraries
Summary: The development environment for the NET-SNMP project.
Requires: %{name} = %{epoch}:%{version}
Obsoletes: ucd-snmp-devel
Requires: beecrypt-devel, elfutils-devel, rpm-devel, elfutils-libelf-devel

%description devel
The net-snmp-devel package contains the development libraries and
header files for use with the NET-SNMP project's network management
tools.

Install the net-snmp-devel package if you would like to develop
applications for use with the NET-SNMP project's network management
tools. You'll also need to have the net-snmp and net-snmp-utils
packages installed.

%package perl
Group: Development/Libraries
Summary: The perl NET-SNMP module and the mib2c tool.
Requires: %{name} = %{epoch}:%{version}, perl >= 5
BuildRequires: perl >= 5

%description perl
The net-snmp-perl package contains the perl files to use SNMP from within
Perl.

Install the net-snmp-perl package, if you want to use mib2c or SNMP with perl.

%package libs
Group: Development/Libraries
Summary: The NET-SNMP runtime libraries.

%description libs
The net-snmp-libs package contains the runtime libraries for shared binaries
and applications.

%prep
%setup -q -n %{name}-%{major_ver}
%patch1 -p1 -b .mnttab
%patch2 -p1 -b .syslog
%patch4 -p1 -b .libtool
%patch5 -p1 -b .ipv6-sock-close
%patch6 -p1 -b .readonly
%patch7 -p1 -b .async-getnext

%ifnarch ia64
%patch8 -p1 -b .pie
%endif

%patch9  -b .64bit
%patch12 -p1 -b .dir-fix
%patch19 -p1 -b .file_offset
%patch21 -p1 -b .maxsensors
%patch23 -p1 -b .proc_if
%patch24 -p1 -b .size_t
%patch27 -p1 -b .multilib
%patch28 -p0 -b .retrans_ms
%patch29 -p1 -b .libdir
%patch30 -p1 -b .lm_sensors
%patch31 -p0 -b .byteorder
%patch32 -p1 -b .local-addr
%patch33 -p1 -b .reachable_ms
%patch34 -p1 -b .ethtool-config
%patch35 -p1 -b .order
%patch36 -p0 -b .free
%patch37 -p0 -b .size_t2
%patch38 -p1 -b .v1-traps
%patch39 -p1 -b .shared-ip
%patch40 -p1 -b .sprintf
%patch41 -p1 -b .snmpassert
%patch42 -p0 -b .perl-bulkwalk
%patch43 -p0
%patch44 -p1 -b .mib-option
%patch45 -p1 -b .ip-size
%patch46 -p0 -b .maxreps
%patch47 -p0 -b .tcp-scalars
%patch48 -p0 -b .icmp-stats
%patch49 -p1 -b .smux-select

# Do this patch with a perl hack...
perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

%build
%ifarch ia64 x86_64 s390x ppc64
export LDFLAGS="-L%{_libdir}"
%endif
export LIBDIR="%{_libdir}"
MIBS="host agentx smux \
         ucd-snmp/diskio tcp-mib udp-mib mibII/mta_sendmail \
         ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable \
         ip-mib/ipAddressPrefixTable/ipAddressPrefixTable \
         ip-mib/ipDefaultRouterTable/ipDefaultRouterTable \
         ip-mib/ipv6ScopeZoneIndexTable"
INTEL_ONLY_MIBS="ucd-snmp/lmSensors disman/event-mib"
%configure \
	--enable-static --enable-shared			\
	--with-cflags="$RPM_OPT_FLAGS -g -lcrypto"		\
	--with-ldflags="$LDFLAGS"			\
	--with-sys-location="Unknown"			\
	--with-logfile="/var/log/snmpd.log"		\
	--with-persistent-directory="/var/net-snmp"	\
%ifarch %{ix86} x86_64
	--with-mib-modules="$MIBS $INTEL_ONLY_MIBS" \
%else
	--with-mib-modules="$MIBS" \
%endif
%if %{tcp_wrappers}
	--with-libwrap=%{_libdir}			\
%endif
	--sysconfdir=%{_sysconfdir}			\
	--enable-ipv6					\
	--enable-ucd-snmp-compatibility			\
	--with-openssl					\
	--with-pic					\
	--enable-embedded-perl				\
	--enable-mfd-rewrites				\
	--enable-local-smux				\
	--with-sys-contact="root@localhost" <<EOF

EOF

make

pushd perl
# Use just built libs for perl module building, not the system libs.
export NETSNMP_DONT_CHECK_VERSION=1
perl Makefile.PL -NET-SNMP-IN-SOURCE=true PREFIX=${RPM_BUILD_ROOT}/%{_prefix} INSTALLDIRS=vendor -NET-SNMP-CONFIG="sh ../../net-snmp-config"
perl -pi -e 's/^LD_RUN_PATH.*//;s/LD_RUN_PATH=\".*\" //;' default_store/Makefile OID/Makefile agent/Makefile agent/default_store/Makefile ASN/Makefile SNMP/Makefile
make
popd

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall  ucdincludedir=${RPM_BUILD_ROOT}/usr/include/ucd-snmp


# Determine which arch opensslconf.h is going to try to #include.
basearch=%{_arch}
%ifarch %{ix86}
basearch=i386
%endif

mv ${RPM_BUILD_ROOT}/%{_bindir}/net-snmp-config ${RPM_BUILD_ROOT}/%{_bindir}/net-snmp-config-${basearch}
install -m 755 %SOURCE7 ${RPM_BUILD_ROOT}/%{_bindir}/net-snmp-config

%ifarch %{multilib_arches}
# Do an net-snmp-config.h switcheroo to avoid file conflicts on systems where you
# can have both a 32- and 64-bit version of the library, and they each need
# their own correct-but-different versions of net-snmp-config.h to be usable.
mv ${RPM_BUILD_ROOT}/%{_includedir}/net-snmp-config.h ${RPM_BUILD_ROOT}/%{_includedir}/net-snmp-config-${basearch}.h
install -m644 %SOURCE6 ${RPM_BUILD_ROOT}/%{_includedir}/net-snmp-config.h
%endif

# remove .la files
rm  ${RPM_BUILD_ROOT}%{_libdir}/*.la

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp
install -m 644 %SOURCE1 ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp/snmpd.conf

install -d ${RPM_BUILD_ROOT}%{_initrddir}
install -m 755 %SOURCE2 ${RPM_BUILD_ROOT}%{_initrddir}/snmpd
install -m 755 %SOURCE3 ${RPM_BUILD_ROOT}%{_initrddir}/snmptrapd

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/snmpd

install -d ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 %SOURCE5 ${RPM_BUILD_ROOT}%{_bindir}/ucd5820stat

rm -f ${RPM_BUILD_ROOT}%{_bindir}/snmpinform
rm -f ${RPM_BUILD_ROOT}%{_bindir}/tkmib
rm -f ${RPM_BUILD_ROOT}%{_bindir}/snmpcheck
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/snmpconf.1*
ln -s snmptrap ${RPM_BUILD_ROOT}/usr/bin/snmpinform

# copy missing mib2c.conf files
cp local/mib2c.*.conf ${RPM_BUILD_ROOT}%{_datadir}/snmp

pushd perl
make install_vendor
eval $(perl '-V:installvendorarch')

# Urgs, what an evil hack. Brrr.
#%if "%{_libdir}" == "/usr/lib64"
#installvendorarch=`echo $installvendorarch | sed 's/lib/lib64/'`
#%endif

# remove special files
find $RPM_BUILD_ROOT -name perllocal.pod \
	-o -name .packlist \
	-o -name "*.bs" \
	-o -name Makefile.subs.pl \
	| xargs -ri rm -f {}

# no empty directories
#find $RPM_BUILD_ROOT/$installvendorarch \
#	-depth -type d -a -empty -exec rmdir {} \;

# build files list
find $RPM_BUILD_ROOT/$installvendorarch -type f -print \
	-o -type d -a -printf '%%%%dir %%p\n' \
	| sed "s@$RPM_BUILD_ROOT@@g" \
	| grep -v "$installvendorarch\$" \
	| grep -v '/auto$' \
	> ../perl.lst
popd
find $RPM_BUILD_ROOT -name '*.so' | xargs chmod 0755

# remove docs that do not apply to Linux
for file in "README.aix README.hpux11 README.osX README.Panasonic_AM3X.txt README.solaris README.win32"
do
	rm $file
done
# trim down massive ChangeLog
dd bs=1024 count=250 if=ChangeLog of=ChangeLog.trimmed


%post
/sbin/chkconfig --add snmpd 
/sbin/chkconfig --add snmptrapd

%preun
if [ $1 = 0 ]; then
   service snmpd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmpd
   service snmptrapd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmptrapd
   # remove stale autogenerated file
   rm -f %{_datadir}/snmp/mibs/.index
fi

%postun
if [ "$1" -ge "1" ]; then
    service snmpd condrestart >/dev/null 2>&1 || :
    service snmptrapd condrestart >/dev/null 2>&1 || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc	AGENT.txt COPYING ChangeLog.trimmed EXAMPLE.conf FAQ NEWS PORTING README* TODO
%doc	local/passtest local/README.mib2c local/ipf-mod.pl
%dir	%{_sysconfdir}/snmp
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace) %{_initrddir}/snmpd
%config(noreplace) %{_initrddir}/snmptrapd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%{_datadir}/snmp
%{_bindir}/ucd5820stat
%{_sbindir}/*
%attr(0644,root,root)	%{_mandir}/man[58]/*

%files utils
%defattr(-,root,root,-)

%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/encode_keychange
%{_bindir}/snmp*
%{_bindir}/traptoemail
%{_bindir}/mib2c-update
%attr(0644,root,root)	%{_mandir}/man1/snmp*.1*

%files devel
%defattr(0644,root,root,0755)
%{_libdir}/lib*.so
%{_libdir}/*.a
/usr/include/*
%attr(0644,root,root)	%{_mandir}/man3/*.3.*
%attr(0755,root,root)	%{_bindir}/net-snmp-config*

%files perl -f perl.lst
%defattr(-,root,root)
%{_bindir}/mib2c
%attr(0644,root,root)	%{_mandir}/man1/mib2c.1*
%attr(0644,root,root)   %{_mandir}/man3/*.3pm.*

%files libs
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%changelog
* Wed Feb 13 2008 Jan Safranek <jsafranek@redhat.com> - 5.3.1-19.4
- fix crash when smux communication fails (#432610)

* Thu Dec  6 2007 Jan Safranek <jsafranek@redhat.com> - 5.3.1-19.3
- fix icmpStatsTable (#414021)

* Mon Nov  5 2007 Jan Safranek <jsafranek@redhat.com> - 5.3.1-19.2
- fix snmpwalk / bulkwalk on TCP scalars (#385511)

* Mon Nov  5 2007 Jan Safranek <jsafranek@redhat.com> - 5.3.1-19.1
- fix bulkwalk security flaw (#366621)

* Tue Aug 28 2007 Jan Safranek <jsafranek@redhat.com> - 5.3.1-19
- fix IP address size on 64 bit platforms (#253880)

* Tue Jun 26 2007 Jan Safranek <jsafranek@redhat.com> - 5.3.1-18
- fix compilation of new MIBs on non-intel architectures (#242483)

* Tue Jun 19 2007 Jan Safranek <jsafranek@redhat.com> - 5.3.1-17
- fix -M option of net-snmp-utils (#244783)

* Thu Jun 14 2007 Jan Safranek <jsafranek@redhat.com> - 5.3.1-16
- fixing the crash caused by net-snmp-5.3.1-shared-ip.patch

* Mon Apr 30 2007 Jan Safranek <jsafranek@redhat.com> - 5.3.1-15
- fix sending SNMPv1 traps on v2 connections (#236933)
- fix ugly error messages when more interfaces share one IP addr.
  (#223236)
- build with rpm-devel to support HOST-RESOURCES-MIB::hrSWInstalled
  (#232870)
- store pid in /var/run/snmpd.pid (240470)
- fix wrong sprintf in path generation (#240609)
- fix too verbose snmpassert (#239083)
- fix perl bulkwalk (#238145)
- extend ipv6 support of some MIBs (#242483)

* Thu Jan 18 2007 Radek Vokál <rvokal@redhat.com> - 5.3.1-14
- fix random crashes at snmpd start (#223164)

* Thu Jan 11 2007 Radek Vokál <rvokal@redhat.com> - 5.3.1-13
- fix ethtool config (#222268)

* Wed Nov 29 2006 Radek Vokál <rvokal@redhat.com> - 5.3.1-12
- fix memory leak in udp-local-addr patch (#217668)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 5.3.1-11
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 25 2006 Radek Vokal <rvokal@redhat.com> 5.3.1-10
- add mibII/mta_sendmail (#207909)

* Fri Sep 22 2006 Radek Vokal <rvokal@redhat.com> 5.3.1-9
- fix deprecated syscall base_reachable_time (#207273)

* Wed Sep 13 2006 Radek Vokal <rvokal@redhat.com> 5.3.1-8
- enable smux to listen only on LOCAL by default (#181667)
- use correct answer adrress 

* Tue Sep  5 2006 Radek Vokal <rvokal@redhat.com> 5.3.1-7
- better upstream patch for byteorder
- add epoch to corespond with upstream versioning 

* Wed Aug 30 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.0-6
- fix IPv4/IPv6 address presentation (#200255)

* Wed Aug 23 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.0-5
- SMUX support is still needed .. will disappear later!
- static libs should be in devel not libs (#203571)
- fix lm_sensors issues

* Tue Aug 22 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.0-4
- turn off SMUX support (#110931)
- add dist tag

* Thu Aug 10 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.0-3
- fix lib dirs in configure (#197684)

* Thu Aug  3 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.0-2
- better patch for depreciated sysctl call

* Mon Jul 17 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.0-1
- update to 5.3.1 final version, fix version number

* Wed Jul 12 2006 Radek Vokál <rvokal@redhat.com> 5.3.1.rc4-2
- fix init script, read .options files from /etc/snmp (#195702)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 5.3.1.rc4-1.1
- rebuild

* Mon Jul 10 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.rc4-1
- update to release candidate 4
- fix lib dependencies on 64bit archs
- supress perl build

* Tue Jun 13 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.pre3-2
- add tcp-mib (#194856)

* Fri Jun  2 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.pre3-1
- update to another prerelease (fixes perl agents)

* Fri May 26 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.pre2-4
- fix lib version 

* Thu May 25 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.pre2-3
- another multilib fix. Fix also net-snmp-config script

* Wed May 24 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.pre2-2
- another attempt to fix multilib issue. Generate dummy net-snmp-config.h file

* Tue May 23 2006 Radek Vokal <rvokal@redhat.com> 5.3.1.pre2-1
- update to 5.3.1.pre2
- fix multilib issues (#192736)
  On system with /usr/lib64 use net-snmp-config64 and net-snmp-config64.h

* Sat Apr 15 2006 Radek Vokál <rvokal@redhat.com> 5.3-8
- fix missing IF-MIB::ifNumber.0 (#189007)

* Wed Apr 05 2006 Radek Vokál <rvokal@redhat.com> 5.3-7
- fix parsing of /proc/diskstats
- fix disman monitor crash
- fix perl vendor name
- fix OID lookup fail

* Sat Mar 25 2006 Radek Vokal <rvokal@redhat.com> 5.3-6
- use net.ipv6.neigh.lo.retrans_time_ms (#186546)

* Mon Mar 20 2006 Radek Vokal <rvokal@redhat.com> 5.3-5
- allow disman/event-mib

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 5.3-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 5.3-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb  2 2006 Radek Vokál <rvokal@redhat.com> 5.3-4
- fix crash on s390x and ppc64

* Mon Jan 30 2006 Radek Vokál <rvokal@redhat.com> 5.3-3
- fix for lm_Senors, the max is no longer a fixed value
- parsing fixed for /proc/net/if_inet6

* Wed Jan 18 2006 Radek Vokal <rvokal@redhat.com> 5.3-2
-  Security fix. Bug granting write access to read-only users 
   or communities which were configured  using the "rocommunity" 
   or "rouser" snmpd.conf tokens fixed

* Fri Dec 30 2005 Radek Vokal <rvokal@redhat.com>
- upgrade to 5.3 

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 16 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-4
- check for header files in configure
- patch for SNMPv3 traps / session user creation (net-snmp bz#1374087)

* Fri Dec 09 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-3
- fix ipaddr return type on 64bit machines 

* Wed Dec 07 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-2
- fix read problem on stream sockets (net-snmp bz#1337534)

* Tue Nov 29 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-1
- upgrade to 5.2.2 final

* Mon Nov 21 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-0.rc6.1
- update to rc6, snmpnetstat changes due to license problems
- persistent files in directory defined by snmp.conf persistentDir are 
  loaded at startup

* Tue Nov 15 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-0.rc5.1
- another release candidate 

* Tue Nov 08 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-0.rc4.2
- Remove .la file from net-snmp-libs (#172618)
- grab new openssl

* Mon Nov 07 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-0.rc4.1
- update to release candidate 4

* Tue Nov 01 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2-0.rc3.1
- release candidate 3 of net-snmp-5.2.2

* Tue Oct 25 2005 Radek Vokal <rvokal@redhat.com> - 5.2.2.rc2-1
- rc2 prebuilt

* Tue Sep 20 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1.2-3
- fix endian issues for addresses

* Fri Aug 12 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1.2-2
- fix for s390x counter32 overflow (sachinp@in.ibm.com)

* Wed Jul 13 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1.2-1
- CAN-2005-2177 new upstream version fixing DoS (#162908)

* Tue May 31 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-13
- CAN-2005-1740 net-snmp insecure temporary file usage (#158770)
- patch from suse.de

* Wed May 18 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-12
- session free fixed, agentx modules build fine (#157851)
- fixed dependency for net-snmp libs (#156932)

* Wed May 04 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-11
- report gigabit Ethernet speeds using Ethtool (#152480)

* Tue Apr 19 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-10
- fixed missing requires for devel package (#155221)

* Wed Apr 06 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-9
- switching to a different 64bit patch, hopefully 64bit problems are gone for a while

* Mon Apr 04 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-8
- net-snmp properly deals with large partitions (#153101) <jryska@redhat.com>

* Thu Mar 31 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-7
- agentx double free error fix <jp.fujitsu>

* Thu Mar 24 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-6
- fixed unexpected length for type ASN_UNSIGNED (#151892)
- fixed uptime problems on ia64

* Wed Mar 09 2005 Radek Vokal <rvokal@redhat.com> - 5.2.1-5
- 64bit needed some changes, was causing timeouts on 64bit archs!? 
- affects bugs #125432 and #132058

* Tue Mar  1 2005 Tomas Mraz <tmraz@redhat.com> - 5.2.1-4
- rebuild with openssl-0.9.7e

* Wed Feb 23 2005 Radek Vokal <rvokal@redhat.com> - 5.1.2-3
- patch from CVS - kill extra carriage return (#144917)
- removed patch for interface indexing - doesn't show virtual interfaces

* Tue Feb  8 2005 Jeremy Katz <katzj@redhat.com> - 5.2.1-2
- rebuild for new librpm

* Mon Jan 31 2005 Radek Vokal <rvokal@redhat.com> 5.2.1-1
- new release, fixing several issues
- pointer needs to be inicialized (#146417)

* Mon Dec 27 2004 Radek Vokal <rvokal@redhat.com> 5.2-2
- patch adding ipv6 support to ip system stats

* Tue Nov 30 2004 Radek Vokal <rvokal@redhat.com> 5.2-1
- net-snmp-5.2, patch clean-up

* Mon Nov 15 2004 Radek Vokal <rvokal@redhat.com> 5.1.2-12
- snmpd crash with 'interfaces' directives in snmpd.conf fixed #139010
- rather dirty patch fixing conf directory for net-snmp-config

* Fri Oct 15 2004 Radek Vokal <rvokal@redhat.com> 5.1.2-11
- Logrotate support added (#125004)

* Thu Oct 14 2004 Phil Knirsch <pknirsch@redhat.com> 5.1.2-10
- Extended the libwrap and bsdcompat patches

* Mon Oct 11 2004 Phil Knirsch <pknirsch@redhat.com> 5.1.2-9
- Droped obsolete lm-sensors patch and enabled lmSensors module
- Marked several patches to be removed for 5.1.3

* Wed Sep 29 2004 Warren Togami <wtogami@redhat.com> 5.1.2-8
- remove README* that do not apply to Linux
- trim massive ChangeLog

* Wed Sep 22 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- move ldconfig post/postun to libs subrpm

* Wed Sep 15 2004 Phil Knirsch <pknirsch@redhat.com> 5.1.2-6
- Split out libs package for multilib compatibility

* Wed Sep 08 2004 Radek Vokal <rvokal@redhat.com> 5.1.2-4
- New prereq for net-snmp-devel
- lelf check removed from configure.in (#128748)
- fixed snmpd coredump when sent SIGHUP (#127314)

* Tue Sep 07 2004 Radek Vokal <rvokal@redhat.com> 5.1.2-3
- Agentx failed to send trap, fixed (#130752, #122338)

* Mon Sep 06 2004 Radek Vokal <rvokal@redhat.com> 5.1.2-2
- Patch fixing uninitalized stack variable in smux_trap_process (#130179)

* Wed Aug 18 2004 Phil Knirsch <pknirsch@redhat.com> 5.1.2-1
- Update to 5.1.2
- Removed net-snmp-5.0.1-initializer patch, included upstream

* Tue Jun 15 2004 Phil Knirsch <pknirsch@redhat.com>
- Fixed small bug in snmptrapd initscript (#126000).

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 06 2004 Phil Knirsch <pknirsch@redhat.com> 5.1.1-3
- Reworked the perl filelist stuff (Thanks to marius feraru).

* Thu Apr 08 2004 Phil Knirsch <pknirsch@redhat.com> 5.1.1-2
- Added Kaj J. Niemi that fixes ipAdEntIfIndex problem (#119106)
- Added Kaj J. Niemi to shut up memshared message for 2.6 kernel (#119203)

* Tue Mar 23 2004 Phil Knirsch <pknirsch@redhat.com> 5.1.1-1
- Update to latest upstream version 5.1.1
- Included updated patches from Kaj J. Niemi (#118580).

* Thu Mar 18 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-12
- Hacked an ugly perl hack to get rid of perl RPATH problems.
- Fixed 64bit patch and applied it. ;-)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 04 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-10
- Included 64bit fix from Mark Langsdorf (#114645).

* Tue Feb 03 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-9
- Reverted removal of _includir redefiniton due to php-snmp dependancy.
- Remove SO_BSDCOMPAT setsockopt() call, deprecated.

* Thu Jan 29 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-8
- Quite a bit of specfile cleanup from Marius FERARU.

* Thu Jan 22 2004 Thomas Woerner <twoerner@redhat.com> 5.1-7
- enabled pie (snmpd, snmptrapd) - postponed for ia64
- added --with-pic to configure call

* Thu Jan 15 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-6
- Fixed 64bit build problems when 32bit popt lib is installed.

* Tue Jan 13 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-5
- rebuilt

* Sun Jan 11 2004 Florian La Roche <Florian.LaRoche@redhat.de> 5.1-4
- rebuild for new rpm

* Wed Dec 10 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-3
- Removed snmpcheck again, needs perl(Tk) which we don't ship (#111194).
- Fixed getopt definition in include file (#111209).
- Included Kaj J. Niemi's patch for broken perl module (#111319).
- Included Kaj J. Niemi's patch for broken async getnext perl call (#111479).
- Included Kaj J. Niemi's patch for broken hr_storage (#111502).

* Wed Nov 26 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-2
- Included BuildPrereq on lm_sensors-devel on x86 archs (#110616).
- Fixed deprecated initscript options (#110618).

* Wed Nov 19 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-1
- Updated to latest net-snmp-5.1 upstream version.
- Tons of specfile and patch cleanup.
- Cleaned up perl stuff (mib2c etc, see #107707).
- Added lm_sensors support patch for x86 archs from Kaj J. Niemi (#107618).
- Added support for custom mib paths and mibs to snmptrapd initscript (#102762)

* Mon Oct 13 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.9-2
- Due to rpm-devel we need elfutils-devel, too (#103982).

* Mon Sep 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.9-1
- Updated to latest upstream version net-snmp-5.0.9
- Added patch to fix net-snmp-perl problems (#105842).

* Tue Sep 23 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- allow compiling without tcp_wrappers

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-11.1
- rebuilt

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-11
- Fixed permission for net-snmp-config in net-snmp-devel

* Mon Sep 08 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-10.1
- rebuilt

* Mon Sep 08 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-10
- Moved net-snmp-config into devel package (#103927)

* Fri Aug 22 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-9.1
- rebuilt

* Thu Aug 21 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-9
- Added sample config to make net-snmp RFC 1213 compliant.

* Fri Aug 15 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-8
- Fixed problem with perl option (#102420).
- Added patch for libwrap fix (#77926).

* Tue Aug 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-7.1
- rebuilt

* Tue Aug 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-7
- Fixed build problems on ppc64
- Fixed double packaged manpages (#102075).

* Thu Aug 07 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed problem with new proc output (#98619, #89960).

* Wed Aug 06 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed ro/rw problem with v2 and v3 request (#89612)

* Tue Aug 05 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed permission problem for debuginfo (#101456)

* Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-6.1
- Fixed file list for latest build.

* Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-6
- Fixed build problems for net-snmp-perl.

* Sun Jul 27 2003 Florian La Roche <Florian.LaRoche@redhat.de> 5.0.8-5
- actually apply ipv6 patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-3
- bumped release and rebuilt.

* Tue Apr 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-2
- Hack to make it build on 64bit platforms with /usr/lib64 correctly.
- Fixed bug #85071 (leak of open descriptors for ipv6).

* Fri Mar 28 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-1
- Updated to latest upstream version 5.0.8 (bug #88580)

* Thu Feb 13 2003 Phil Knirsch <pknirsch@redhat.com>
- Included generation of perl stuff. Thanks to Harald Hoyer.

* Wed Feb 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.7-1
- Updated to net-snmp-5.0.7. Fixed especially the performance problem with
  limited trees.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-17
- Fixed ucd-snmp.redhat.conf (#78391).
- Fixed snmpwalk examples in config file.

* Mon Feb 10 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-15
- Fixed invalid SMUX packet (#83487).

* Thu Feb 06 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-14
- Fixed the libdir problem.

* Wed Feb 05 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-13
- Updated the old libtool rpath patch.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 5.0.6-12
- rebuilt

* Tue Jan 14 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-11
- Updated nolibelf patch and activated it again.

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 5.0.6-10
- Rebuild

* Tue Dec 17 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-9
- Added bzip2-devel to BuildPreReq (#76086, #70199).

* Thu Nov 28 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-8
- Added patch to increase SMUXMAXSTRLEN. 

* Thu Nov  7 2002 Tim Powers <timp@redhat.com> 5.0.6-6
- rebuilt to fix broken deps
- remove files from the buildroot that we don't want to ship

* Thu Nov  7 2002 Joe Orton <jorton@redhat.com> 5.0.6-5
- add fix for -DUCD_COMPATIBLE (#77405)

* Thu Nov 07 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-4
- Another bump required. Some more specfile changes.

* Wed Nov 06 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-3
- Bumped release and rebuilt.
- Removed all dbFOO cruft again.

* Wed Oct 09 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-2
- Updated to latest released version.

* Sat Aug 31 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not link against -lelf

* Thu Jun 27 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-5
- Added --enable-ucd-snmp-compatibility for compatibility with older version
  and fixed installation thereof.
- Got rid of the perl(Tk) dependancy by removing snmpcheck.
- Include /usr/include/ucd-snmp in the filelist.
- Fixed a problem with the ucd-snmp/version.h file.

* Wed Jun 26 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-1
- Updated to 5.0.1
- Dropped --enable-reentrant as it's currently broken

* Tue Apr 23 2002 Phil Knirsch <pknirsch@redhat.com> 5.0-1
- Switch to latest stable version, 5.0
- Renamed the packate to net-snmp and obsoleted ucd-snmp.

* Wed Apr 17 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4-3
- Fixed problem with reload in initscript (#63526).

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-2
- rebuilt in new environment

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-1
- update to 4.2.4 final

* Sat Apr 13 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-5
- Added some missing files to the %files section.

* Tue Apr 09 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-4
- Hardcoded the ETC_MNTTAB to point to "/etc/mtab".

* Mon Apr 08 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-3
- Removed the check for dbFOO as we don't want to add another requirement.

* Fri Apr 05 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-2
- Added missing BuildPrereq to openssl-devel (#61525)

* Thu Apr 04 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-1
- Added ucd5820stat to the files section.
- Updated to latest version (4.2.4.pre3)

* Mon Mar 18 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre2-1
- Updated to latest version (4.2.4.pre2)

* Tue Jan 29 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-4
- Added the snmptrapd init script as per request (#49205)
- Fixed the again broken rpm query stuff (#57444)
- Removed all old and none-used db related stuff (libs and header checks/files)

* Mon Jan 07 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-2
- Included the Axioma Security Research fix for snmpnetstat from bugtraq.

* Mon Dec 03 2001 Phil Knirsch <phil@redhat.de> 4.2.3-1
- Update to 4.2.3 final.
- Fixed libtool/rpath buildroot pollution problem.
- Fixed library naming problem.

* Fri Oct  5 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a server segfault for snmpset operation (#53640). Thanks to Josh Giles
  and Wes Hardaker for the patch.

* Mon Sep 10 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed problem with RUNTESTS script.

* Tue Sep  4 2001 Preston Brown <pbrown@redhat.com>
- fixed patch related to bug #35016 (Dell)

* Fri Aug 24 2001 Philipp Knirsch <pknirsch@redhat.de> 4.2.1-6
- Fixed snmpd description (#52366)

* Wed Aug 22 2001 Philipp Knirsch <pknirsch@redhat.de>
- Final bcm5820 fix. Last one was broken.
- Fixed bugzilla bug (#51960) where the binaries contained rpath references.

* Wed Aug 15 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a couple of security issues:
  o /tmp race and setgroups() privilege problem
  o Various buffer overflow and format string issues.
  o One signedness problem in ASN handling.
- Fixed an important RFE to support bcm5820 cards. (#51125)

* Fri Jul 20 2001 Philipp Knirsch <pknirsch@redhat.de>
- Removed tkmib from the package once again as we don't ship the Tk.pm CPAN
  perl module required to run it (#49363)
- Added missing Provides for the .so.0 libraries as rpm doesn't seem to find
  those during the build anymore (it used to) (#46388)

* Thu Jul 19 2001 Philipp Knirsch <pknirsch@redhat.de>
- Enabled IPv6 support (RFE #47764)
- Hopefully final fix of snmpwalk problem (#42153). Thanks to Douglas Warzecha
  for the patch and Matt Domsch for reporting the problem.

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed smux compilation problems (#41452)
- Fixed wrong paths displayed in manpages (#43053)

* Mon Jun 25 2001 Philipp Knirsch <pknirsch@redhat.de>
- Updated to 4.2.1. Removed 2 obsolete patches (fromcvs and #18153)
- Include /usr/share/snmp/snmpconf in %files

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- fix to use libwrap in distro
- add buildprereq: tcp_wrappers

* Fri Jun  1 2001 Bill Nottingham <notting@redhat.com>
- add a *new* patch for IP address return sizes

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- add patch so that only four bytes are returned for IP addresses on ia64 (#32244)

* Wed Apr 11 2001 Bill Nottingham <notting@redhat.com>
- rebuild (missing alpha packages)

* Fri Apr  6 2001 Matt Wilson <msw@redhat.com>
- added ucd-snmp-4.2-null.patch to correcly handle a NULL value (#35016)

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- clean up deinstallation (#34168)

* Tue Mar 27 2001 Matt Wilson <msw@redhat.com>
- return a usable RETVAL when running "service snmpd status" (#33571)

* Tue Mar 13 2001 Matt Wilson <msw@redhat.com>
- configure with --enable-reentrant and added "smux" and "agentx" to
  --with-mib-modules= argument (#29626)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon Feb 26 2001 Tim Powers <timp@redhat.com>
- fixed initscript, for reload and restart it was start then stop,
  fixed. (#28477)

* Fri Feb  2 2001 Trond Eivind Glomsrød <teg@redhat.com>
- i18nize initscript

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- don't depend on /etc/init.d so that package will work with 6.2.
- perl path fiddles no longer needed.
- rely on brp-compress frpm rpm to compress man pages.
- patch from ucd-snmp CVS (Wes Hardaker).
- configure.in needs to check for rpm libraries correctly (#23033).
- add simple logrotate script (#21399).
- add options to create pidfile and log with syslog with addresses (#23476).

* Sat Dec 30 2000 Jeff Johnson <jbj@redhat.com>
- package for Red Hat 7.1.

* Thu Dec 07 2000 Wes Hardaker <hardaker@users.sourceforge.net>
- update for 4.2

* Thu Oct 12 2000 Jeff Johnson <jbj@redhat.com>
- add explicit format for syslog call (#18153).

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild per Trond's request.

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error that crept in with condrestart

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript and add condrestart magic

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- fix %%attr on man pages

* Mon Jun 12 2000 Jeff Johnson <jbj@redhat.com>
- tkmib doco had #!/usr/bin/perl55
- include snmpcheck and tkmib again (still needs some CPAN module, however).

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- update to 4.1.2.
- FHS packaging.
- patch for rpm 4.0.

* Thu May 18 2000 Trond Eivind Glomsrød <teg@redhat.com>
- add version to buildroot
- rebuilt with new libraries

* Sun Feb 27 2000 Jeff Johnson <jbj@redhat.com>
- default config was broken (from Wes Hardaker) (#9752)

* Sun Feb 13 2000 Jeff Johnson <jbj@redhat.com>
- compressed man pages.

* Fri Feb 11 2000 Wes Hardaker <wjhardaker@ucdavis.edu>
- update to 4.1.1

* Sat Feb  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change %postun to %preun

* Thu Feb 3 2000 Elliot Lee <sopwith@redhat.com>
- Don't ship tkmib, since we don't ship the perl modules needed to run it.
(Bug #4881)

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- default config permits RO access to system group only (Wed Hardaker).

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- implement suggestions from Wes Hardaker.

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- stateless access to rpm database.

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.0.1.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.6.2 (#3219,#3259).
- add missing man pages (#3057).

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
